com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ConditionItem

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ConditionItem
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Condition Item'.

  The following features are supported:

  - `Precondition`
  - `Disabled`
  - `Row Height`
  - `Preexpand Other`
  - `Variable Mode`
  - `Variable Reference`
  - `Complete Value Set`
  - `Natural Language Text`
  - `Value Set Cell`
  - `Expression Cell`
  See Also:
    `DecisiontablePackage.getConditionItem()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.corticon.eclipse.core.util.ValueSet` | `getCompleteValueSet()` Returns the value of the 'Complete Value Set' attribute
    `ExpressionCell` | `getExpressionCell()` Returns the value of the 'Expression Cell' containment reference
    `org.eclipse.emf.common.util.EList` | `getNaturalLanguageText()` Returns the value of the 'Natural Language Text' containment reference list.
    `com.corticon.eclipse.core.util.ValueSet` | `getPreexpandOther()` Returns the value of the 'Preexpand Other' attribute
    `int` | `getRowHeight()` Returns the value of the 'Row Height' attribute
    `ValueSetCell` | `getValueSetCell()` Returns the value of the 'Value Set Cell' containment reference
    `VariableMode` | `getVariableMode()` Returns the value of the 'Variable Mode' attribute.
    `org.eclipse.emf.ecore.EObject` | `getVariableReference()` Returns the value of the 'Variable Reference' containment reference
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute
    `boolean` | `isPrecondition()` Returns the value of the 'Precondition' attribute
    `void` | `setCompleteValueSet(com.corticon.eclipse.core.util.ValueSet value)` Sets the value of the '`Complete Value Set`' attribute
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute
    `void` | `setExpressionCell(ExpressionCell value)` Sets the value of the '`Expression Cell`' containment reference
    `void` | `setPrecondition(boolean value)` Sets the value of the '`Precondition`' attribute
    `void` | `setPreexpandOther(com.corticon.eclipse.core.util.ValueSet value)` Sets the value of the '`Preexpand Other`' attribute
    `void` | `setRowHeight(int value)` Sets the value of the '`Row Height`' attribute
    `void` | `setValueSetCell(ValueSetCell value)` Sets the value of the '`Value Set Cell`' containment reference
    `void` | `setVariableMode(VariableMode value)` Sets the value of the '`Variable Mode`' attribute
    `void` | `setVariableReference(org.eclipse.emf.ecore.EObject value)` Sets the value of the '`Variable Reference`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isPrecondition

          boolean isPrecondition()

      Returns the value of the 'Precondition' attribute.

      If the meaning of the 'Precondition' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Precondition' attribute.
      See Also:
        `setPrecondition(boolean)`, `DecisiontablePackage.getConditionItem_Precondition()`

    - #### setPrecondition

          void setPrecondition(boolean value)

      Sets the value of the '`Precondition`' attribute.
      Parameters:
        `value` - the new value of the 'Precondition' attribute.
      See Also:
        `isPrecondition()`

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `DecisiontablePackage.getConditionItem_Disabled()`

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`

    - #### getRowHeight

          int getRowHeight()

      Returns the value of the 'Row Height' attribute.

      If the meaning of the 'Row Height' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Row Height' attribute.
      See Also:
        `setRowHeight(int)`, `DecisiontablePackage.getConditionItem_RowHeight()`

    - #### setRowHeight

          void setRowHeight(int value)

      Sets the value of the '`Row Height`' attribute.
      Parameters:
        `value` - the new value of the 'Row Height' attribute.
      See Also:
        `getRowHeight()`

    - #### getPreexpandOther

          com.corticon.eclipse.core.util.ValueSet getPreexpandOther()

      Returns the value of the 'Preexpand Other' attribute.

      If the meaning of the 'Preexpand Other' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Preexpand Other' attribute.
      See Also:
        `setPreexpandOther(ValueSet)`, `DecisiontablePackage.getConditionItem_PreexpandOther()`

    - #### setPreexpandOther

          void setPreexpandOther(com.corticon.eclipse.core.util.ValueSet value)

      Sets the value of the '`Preexpand Other`' attribute.
      Parameters:
        `value` - the new value of the 'Preexpand Other' attribute.
      See Also:
        `getPreexpandOther()`

    - #### getVariableMode

          VariableMode getVariableMode()

      Returns the value of the 'Variable Mode' attribute. The literals are from the enumeration `VariableMode`.

      If the meaning of the 'Variable Mode' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Variable Mode' attribute.
      See Also:
        `VariableMode`, `setVariableMode(VariableMode)`, `DecisiontablePackage.getConditionItem_VariableMode()`

    - #### setVariableMode

          void setVariableMode(VariableMode value)

      Sets the value of the '`Variable Mode`' attribute.
      Parameters:
        `value` - the new value of the 'Variable Mode' attribute.
      See Also:
        `VariableMode`, `getVariableMode()`

    - #### getVariableReference

          org.eclipse.emf.ecore.EObject getVariableReference()

      Returns the value of the 'Variable Reference' containment reference.

      If the meaning of the 'Variable Reference' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Variable Reference' containment reference.
      See Also:
        `setVariableReference(EObject)`, `DecisiontablePackage.getConditionItem_VariableReference()`

    - #### setVariableReference

          void setVariableReference(org.eclipse.emf.ecore.EObject value)

      Sets the value of the '`Variable Reference`' containment reference.
      Parameters:
        `value` - the new value of the 'Variable Reference' containment reference.
      See Also:
        `getVariableReference()`

    - #### getCompleteValueSet

          com.corticon.eclipse.core.util.ValueSet getCompleteValueSet()

      Returns the value of the 'Complete Value Set' attribute.

      If the meaning of the 'Complete Value Set' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Complete Value Set' attribute.
      See Also:
        `setCompleteValueSet(ValueSet)`, `DecisiontablePackage.getConditionItem_CompleteValueSet()`

    - #### setCompleteValueSet

          void setCompleteValueSet(com.corticon.eclipse.core.util.ValueSet value)

      Sets the value of the '`Complete Value Set`' attribute.
      Parameters:
        `value` - the new value of the 'Complete Value Set' attribute.
      See Also:
        `getCompleteValueSet()`

    - #### getNaturalLanguageText

          org.eclipse.emf.common.util.EList getNaturalLanguageText()

      Returns the value of the 'Natural Language Text' containment reference list. The list contents are of type `RulesheetString`.

      If the meaning of the 'Natural Language Text' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Natural Language Text' containment reference list.
      See Also:
        `DecisiontablePackage.getConditionItem_NaturalLanguageText()`

    - #### getValueSetCell

          ValueSetCell getValueSetCell()

      Returns the value of the 'Value Set Cell' containment reference.

      If the meaning of the 'Value Set Cell' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value Set Cell' containment reference.
      See Also:
        `setValueSetCell(ValueSetCell)`, `DecisiontablePackage.getConditionItem_ValueSetCell()`

    - #### setValueSetCell

          void setValueSetCell(ValueSetCell value)

      Sets the value of the '`Value Set Cell`' containment reference.
      Parameters:
        `value` - the new value of the 'Value Set Cell' containment reference.
      See Also:
        `getValueSetCell()`

    - #### getExpressionCell

          ExpressionCell getExpressionCell()

      Returns the value of the 'Expression Cell' containment reference.

      If the meaning of the 'Expression Cell' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression Cell' containment reference.
      See Also:
        `setExpressionCell(ExpressionCell)`, `DecisiontablePackage.getConditionItem_ExpressionCell()`

    - #### setExpressionCell

          void setExpressionCell(ExpressionCell value)

      Sets the value of the '`Expression Cell`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression Cell' containment reference.
      See Also:
        `getExpressionCell()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.